wp2latex (4.22~ds-1) unstable; urgency=medium

  * New upstream release, refresh patches.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 02 Jul 2026 23:43:12 +0200

wp2latex (4.21b~ds-1) unstable; urgency=medium

  * New upstream release, fix issues processing data generated by DJI cameras

 -- Hilmar Preuße <hille42@debian.org>  Sun, 28 Jun 2026 10:01:27 +0200

wp2latex (4.21~ds-1) unstable; urgency=medium

  * New upstream release, disable / refresh patches.
  * Update d/watch file to Version 5.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 30 May 2026 11:02:25 +0200

wp2latex (4.20~ds-3) unstable; urgency=medium

  * Further fixes for test suite and libraries.

 -- Hilmar Preuße <hille42@debian.org>  Sun, 26 Apr 2026 23:15:55 +0200

wp2latex (4.20~ds-2) unstable; urgency=medium

  * Add patch for sources.cc/atoms/TestRaster/test.cc
  * Disable useless USCAN test.

 -- Hilmar Preuße <hille42@debian.org>  Sat, 25 Apr 2026 11:21:21 +0200

wp2latex (4.20~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 22 Apr 2026 23:33:55 +0200

wp2latex (4.19b~ds-1) unstable; urgency=medium

  * New upstream release. Fixing possible crash or stack corruption.
  * Lintian stuff.

 -- Hilmar Preuße <hille42@debian.org>  Thu, 12 Mar 2026 23:06:44 +0100

wp2latex (4.19~ds-1) unstable; urgency=medium

  * New upstream release.
    - Lintian issues solved.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 02 Jan 2026 22:57:05 +0100

wp2latex (4.18c~ds-1) unstable; urgency=medium

  * New upstream release.
    - Contains corrections for manual page.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 13 Oct 2025 22:45:03 +0200

wp2latex (4.18b~ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards version, no changes needed.
  * Lintian:
    - I: wp2latex source: dep3-format-patch-author-or-from-is-better
    - I: wp2latex source: invalid-dep3-format-patch-wrong-last-update
    - ...more overrides

 -- Hilmar Preuße <hille42@debian.org>  Fri, 10 Oct 2025 21:56:33 +0200

wp2latex (4.17~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 22 Aug 2025 22:46:57 +0200

wp2latex (4.16b~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 13 Aug 2025 23:29:10 +0200

wp2latex (4.15~ds-2) unstable; urgency=medium

  * Add patch from upstream to fix issues on ARM.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 11 Jul 2025 13:53:54 +0200

wp2latex (4.15~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Sun, 06 Apr 2025 20:12:51 +0200

wp2latex (4.14~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 05 Mar 2025 11:44:51 +0100

wp2latex (4.13b~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 03 Mar 2025 10:38:40 +0100

wp2latex (4.13~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 10 Jan 2025 10:13:01 +0100

wp2latex (4.12~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 11 Nov 2024 09:29:38 +0100

wp2latex (4.11c~ds-1) unstable; urgency=medium

  * New upstream minor release, will hopefully fix test suites.

 -- Hilmar Preuße <hille42@debian.org>  Fri, 18 Oct 2024 00:04:14 +0200

wp2latex (4.11~ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 16 Oct 2024 21:29:11 +0200

wp2latex (4.10d~ds-1) unstable; urgency=medium

  * New upstream release, disable patches.
  * Update upstreams contact information.
  * Enable parallel build.

 -- Hilmar Preuße <hille42@debian.org>  Sun, 29 Sep 2024 23:08:08 +0200

wp2latex (4.10~ds-1) unstable; urgency=medium

  * New upstream version, refresh / disable patches.
  * Change username on salsa, fix Vcs-* URLs.
  * Fix Maintainer field after becoming an DD.
  * Autopkgtest does not need build, replace make by build-essential in
    Dep of test suite, add lib*dev packages instead of just libs.
  * Add libwebp-dev to BD.

 -- Hilmar Preuße <hille42@debian.org>  Wed, 11 Sep 2024 12:04:16 +0200

wp2latex (4.7~ds-2) unstable; urgency=medium

  * Extend not_overwrite_makefile.patch a little bit to make
    CI tests work again and fixes FTBFS (Closes: #1073474).

 -- Hilmar Preusse <hille42@web.de>  Sun, 16 Jun 2024 16:22:35 +0200

wp2latex (4.7~ds-1) unstable; urgency=medium

  * New upstream release, refresh patches.

 -- Hilmar Preusse <hille42@web.de>  Sat, 08 Jun 2024 10:07:32 +0200

wp2latex (4.6~ds-1) unstable; urgency=medium

  * New upstream release.
  * Lintian stuff.
  * Remove / Disable old patches, add new one.

 -- Hilmar Preusse <hille42@web.de>  Tue, 30 Apr 2024 20:18:04 +0200

wp2latex (4.5~ds-2) unstable; urgency=medium

  * Patch from upstream: fix image conversion on BE platforms.

 -- Hilmar Preusse <hille42@web.de>  Thu, 28 Mar 2024 23:47:03 +0100

wp2latex (4.5~ds-1) unstable; urgency=medium

  * New upstream release.
    - Old hosting server died -> update d/watch file.

 -- Hilmar Preusse <hille42@web.de>  Wed, 20 Mar 2024 15:52:23 +0100

wp2latex (4.4~ds-1) unstable; urgency=medium

  * New upstream release, disable applied patches.

 -- Hilmar Preusse <hille42@web.de>  Fri, 01 Dec 2023 10:45:23 +0100

wp2latex (4.3+ds-2) unstable; urgency=medium

  * Two patches from upstream to fix issues with image conversion.
  * Refresh other patches.

 -- Hilmar Preusse <hille42@web.de>  Wed, 15 Nov 2023 15:41:09 +0100

wp2latex (4.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump to Standards version 4.6.2, no changes needed.

 -- Hilmar Preusse <hille42@web.de>  Fri, 03 Nov 2023 23:18:42 +0100

wp2latex (4.2b+ds-1) unstable; urgency=medium

  * New upstream release, refresh patches.

 -- Hilmar Preusse <hille42@web.de>  Fri, 06 Oct 2023 18:15:46 +0000

wp2latex (3.113+ds-1) unstable; urgency=medium

  * New upstream release, refresh / disable patches.

 -- Hilmar Preusse <hille42@web.de>  Tue, 13 Jun 2023 09:06:31 +0200

wp2latex (3.112+ds-1) unstable; urgency=medium

  * New upstream release, refresh / disable / add patches.

 -- Hilmar Preusse <hille42@web.de>  Sun, 02 Apr 2023 21:29:57 +0200

wp2latex (3.111+ds-2) unstable; urgency=medium

  * Patch from upstream: make build of cp_lib more stable (should
    fix build failure on x32).
  * Remove obsolete patches.

 -- Hilmar Preusse <hille42@web.de>  Tue, 06 Dec 2022 23:55:33 +0100

wp2latex (3.111+ds-1) unstable; urgency=medium

  * New upstream release, refresh / disable patches.

 -- Hilmar Preusse <hille42@web.de>  Mon, 05 Dec 2022 08:15:27 +0100

wp2latex (3.110b+ds-2) unstable; urgency=medium

  * Add serious patches from upstream.

 -- Hilmar Preusse <hille42@web.de>  Sat, 26 Nov 2022 23:42:08 +0100

wp2latex (3.110b+ds-1) unstable; urgency=medium

  * New upstream release, refresh / disable patches.

 -- Hilmar Preusse <hille42@web.de>  Thu, 10 Nov 2022 08:04:18 +0100

wp2latex (3.109+ds-2) unstable; urgency=medium

  * Add patch from upstream to fix build on BE arches.

 -- Hilmar Preusse <hille42@web.de>  Wed, 05 Oct 2022 15:50:22 +0200

wp2latex (3.109+ds-1) unstable; urgency=medium

  * New upstream release, refresh patches.

 -- Hilmar Preusse <hille42@web.de>  Tue, 04 Oct 2022 23:48:07 +0200

wp2latex (3.108+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preusse <hille42@web.de>  Wed, 06 Jul 2022 23:59:20 +0200

wp2latex (3.107+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preusse <hille42@web.de>  Sun, 29 May 2022 15:19:22 +0200

wp2latex (3.106+ds-2) unstable; urgency=medium

  * Copy patch from upstream, which fixes WMF conversion.

 -- Hilmar Preusse <hille42@web.de>  Sat, 30 Apr 2022 22:34:59 +0200

wp2latex (3.106+ds-1) unstable; urgency=medium

  * New upstream release, add texlive-latex-extra to BD and
    test deps.

 -- Hilmar Preusse <hille42@web.de>  Tue, 26 Apr 2022 23:46:21 +0200

wp2latex (3.105+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add "make" to Depends of autopkg test suite.

 -- Hilmar Preusse <hille42@web.de>  Mon, 21 Mar 2022 09:06:14 +0100

wp2latex (3.104+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preusse <hille42@web.de>  Mon, 14 Feb 2022 11:00:44 +0100

wp2latex (3.103+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preusse <hille42@web.de>  Mon, 03 Jan 2022 00:13:13 +0100

wp2latex (3.102+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Hilmar Preusse <hille42@web.de>  Sun, 05 Dec 2021 16:24:34 +0100

wp2latex (3.101+ds-1) unstable; urgency=medium

  * New upstream release, refresh / disable patches.

 -- Hilmar Preusse <hille42@web.de>  Sat, 06 Nov 2021 23:17:48 +0100

wp2latex (3.100+ds-2) unstable; urgency=medium

  * Add upstream commit d2cb05133333 to fix build failures in
    parallel build.
  * Add upstream commit to fix build failures w/ gcc-11.
    (Closes: #996620)

 -- Hilmar Preusse <hille42@web.de>  Sat, 23 Oct 2021 23:03:56 +0200

wp2latex (3.100+ds-1) unstable; urgency=medium

  * New upstream version.
    - Register LaTeX style files provide by the packages.

 -- Hilmar Preusse <hille42@web.de>  Wed, 06 Oct 2021 00:16:07 +0200

wp2latex (3.99+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Hilmar Preusse <hille42@web.de>  Thu, 02 Sep 2021 23:36:11 +0200

wp2latex (3.98+ds-1) unstable; urgency=medium

  * New upstream release, remove all obsolete patches.
  * It can be built using autoconf > 2.70 (Closes: #978924).

 -- Hilmar Preusse <hille42@web.de>  Wed, 25 Aug 2021 00:01:23 +0200

wp2latex (3.97+ds-1) unstable; urgency=medium

  * New upstream release, refresh patches.
  * It implements / fixes extraction of drawings from documents.

 -- Hilmar Preusse <hille42@web.de>  Wed, 16 Jun 2021 23:05:02 +0200

wp2latex (3.96+ds-1) unstable; urgency=medium

  * New upstream release, remove merged patches.
  * texlive-lang-czechslovak needed for autopkgtest.
  * Install debian/gitlab-ci.yml file.

 -- Hilmar Preusse <hille42@web.de>  Sun, 13 Jun 2021 23:50:52 +0200

wp2latex (3.94+ds-2) unstable; urgency=medium

  * Fix a nasty bug, which could lead to invalid eps files. Got
    notification and patch from upstream. Thanks Jaroslav Fojtik!

 -- Hilmar Preusse <hille42@web.de>  Thu, 18 Mar 2021 21:28:50 +0100

wp2latex (3.94+ds-1) unstable; urgency=medium

  * New upstream release, remove merged patches.
  * Repack suffix for orig.tar.xz.
  * Debhelper compat = 13.
  * Standards-Version: 4.5.1, no changes needed.

 -- Hilmar Preusse <hille42@web.de>  Sun, 14 Feb 2021 23:32:46 +0100

wp2latex (3.93-1) unstable; urgency=medium

  * New upstream release.

  * Added patch for crash bug: vecimage.cc_crash.
  * Added a list of files to be excluded from .orig.tar.xz to
    d/copyright.

 -- Hilmar Preusse <hille42@web.de>  Tue, 02 Feb 2021 23:19:41 +0100

wp2latex (3.92-3) unstable; urgency=medium

  * Lintian:
    - W: groff-message: a newline character is not allowed in an escape name
    - I: typo-in-manual-page
    - I: spelling-error-in-binary
    - I: capitalization-error-in-description
    - I: conflicts-with-version: Replaced by "Breaks"
    - I: synopsis-is-a-sentence
    - I: quilt-patch-missing-description
    - I: debian-watch-contains-dh_make-template
    - P: silent-on-rules-requiring-root
    - Override: I: debian-watch-uses-insecure-uri

 -- Hilmar Preusse <hille42@web.de>  Tue, 26 Jan 2021 00:02:45 +0100

wp2latex (3.92-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: Drop unused dh_auto_configure
    override. (Closes: #972480)

  * Cherry pick ed1a2ec6c049.patch from upstream. This bug causes
    WP2LaTeX to generate invalid postscript output.

 -- Hilmar Preusse <hille42@web.de>  Sun, 08 Nov 2020 23:21:08 +0100

wp2latex (3.92-1) unstable; urgency=medium

  * New upstream release.
    Output LaTeX could be nativelly generated in UTF8 encoding. It
    opens doors for conversion cyrillic, chinese, hebrew, japanese etc.
    documents.
  * Update Standards Version, no changes needed.
  * wp2latex-styles is marked "Multi-Arch: foreign".

 -- Hilmar Preusse <hille42@web.de>  Thu, 15 Oct 2020 23:09:01 +0200

wp2latex (3.91-1) unstable; urgency=medium

  * New upstream release
  * Replace BD libjpeg62-turbo-dev by libjpeg-dev.
    (Closes: #963719)

 -- Hilmar Preusse <hille42@web.de>  Mon, 06 Jul 2020 18:51:56 +0000

wp2latex (3.90-2) unstable; urgency=medium

  * Remove patches applied at upstream.
  * Install WP sample files from test/ .
  * Add upstream commits:
    - e2a807e145492cb30bde156ed795709d255cd3b6
    - 8aeac7ee49028283ed8316d5b5a51a067fef80e9
    According to upstream it improves performance on some platforms.

 -- Hilmar Preusse <hille42@web.de>  Mon, 01 Jun 2020 16:59:14 +0200

wp2latex (3.90-1) unstable; urgency=medium

  New upstream release.
  721110fcff0cb4da6b95614a11101166362ba895.patch as post release patch.

  * wp2latex.sty is delivered in the test suite directory, hence we can run
    the full test suite.
    - Remove override of default test suite.
    - Add texlive-latex-base, texlive-lang-other, texlive-fonts-recommended
      to BD. Else test suite can't be executed.

 -- Hilmar Preusse <hille42@web.de>  Mon, 11 May 2020 22:41:36 +0200

wp2latex (3.89-1) unstable; urgency=medium

  New upstream release:
  * Retrieve .orig.tar.xz from upstreams hg repository as recommended by
    upstream.
  * README.source updated.

  * Most of patches are included in upstream and dropped.
  * override_dh_auto_test. Do not run default test suite, it would need
    wp2latex.sty.

 -- Hilmar Preusse <hille42@web.de>  Sun, 05 Apr 2020 23:01:46 +0200

wp2latex (3.88-4) unstable; urgency=medium

  * Commit 4391275: Wrong buffer resize, fixed.
    wp2latex generated invalid \TeX code.

 -- Hilmar Preusse <hille42@web.de>  Thu, 26 Mar 2020 09:10:01 +0100

wp2latex (3.88-3) unstable; urgency=medium

  * Another patch from upstream (b337710) to fix FTBFS we introduced
    last time.

 -- Hilmar Preusse <hille42@web.de>  Thu, 19 Mar 2020 21:23:01 +0100

wp2latex (3.88-2) unstable; urgency=medium

  * Add patches from upstream:
    - fc17425: fix a bug during image conversion.
    - 1ad82ed: Remove unneeded ellipsis in argument call.
      It is causing crash on the latest gcc release.
    - a2341a5: Checking code validity, added sanity check
      before program starts. This patch /will/ cause build failures
      on some arches but at least we know, which are affected.

 -- Hilmar Preusse <hille42@web.de>  Tue, 17 Mar 2020 22:59:46 +0100

wp2latex (3.88-1) unstable; urgency=medium

  * New upstream release.
    - Added support for scalerel.sty, more effective image
      processing when vector image contains huge amount of components.
      Add texlive-latex-extra to Recommends of -styles package.
    - Does build on s390x & arm64 (Closes: #950720).

 -- Hilmar Preusse <hille42@web.de>  Mon, 02 Mar 2020 21:32:04 +0100

wp2latex (3.87-1) unstable; urgency=medium

  * New upstream release. A few patches are surplus now.
  * Support for accents.sty. Add texlive-science to Recommends
    of wp2latex-styles.
  * Fix Vcs-Browser & Vcs-Git URL

 -- Hilmar Preusse <hille42@web.de>  Thu, 13 Feb 2020 23:45:40 +0100

wp2latex (3.86-3) unstable; urgency=medium

  * Add patch from upstream to fix FTBFS on arm64 & s390x
    (Closes: #950720). FTBFS_arm64_s390x.patch.
  * Move the LaTeX Style files into a separate package: wp2latex-styles.

 -- Hilmar Preusse <hille42@web.de>  Wed, 05 Feb 2020 23:24:24 +0100

wp2latex (3.86-2) unstable; urgency=medium

  * Add patch from Jaroslav Fojtik <jafojtik@seznam.cz> to fix FTBFS on
    arm64, ppc64el & ppc64: FTBFS_arm64_ppc64el_ppc64.patch.
  * Add patch fix-version-keyword-FTBFS.patch from
    Frédéric Bonnard <frediz@debian.org> to fix FTBFS on m68k & powerpc
    (Closes: #950567)

 -- Hilmar Preusse <hille42@web.de>  Mon, 03 Feb 2020 22:51:49 +0100

wp2latex (3.86-1) unstable; urgency=medium

  * Initial release (Closes: #947461).

 -- Hilmar Preusse <hille42@web.de>  Fri, 20 Dec 2019 20:56:49 +0100
